exports.handler = function handler(event, context, callback) {
	const { request } = event.Records[0].cf;
	const { uri } = request;
    
	// strip query string
    if(request.querystring) {
        request.querystring = '';
    }
    // if a trailing slash is omitted from a slug, rewrite to index of the directory
	if (uri.match(/\/[^/.]+$/)) {
		request.uri = uri + '/index.html';
		callback(null, request);
		return;
	}
	
	// if it's not, then get the directory index
	if (uri.match(/.+\/$/)) {
		request.uri = uri + 'index.html';
		callback(null, request);
		return;
	}

	// If it's a direct call to a file don't mess with anything
	callback(null, request);
};